Subject: bug#70541: track-changes-mode logs warnings (with input method, in Eglot buffer)

From: João Távora <[email-masked]>
Date: Mon, 29 Apr 2024 09:28:47 +0100

On Mon, Apr 29, 2024 at 7:09 AM Eli Zaretskii <[email-masked]> wrote:
>
> initial too-naïve attempts caused elsewhere.
>
> So I'd very much prefer that Quail signaled to applications that it's
> in the middle of handling some complex input, and that applications
> which track changes ignored the changes made during this period.

This idea is good, if I understand it correctly, though I would
prefer if Eglot interfaced only with track-changes.el, and
it would tell it that it should momentarily halt reports
of changes to the server.

Can someone clarify in a simple example exactly what Eglot tells
the LSP server as someone is inputting something with the Quail.
I need to understand exactly where the "lie" is happening.

João